text2ngram.cpp File Reference
`#include "config.h"`
`#include <iostream>`
`#include <fstream>`
`#include <vector>`
`#include <list>`
`#include <string>`
`#include <map>`
`#include <getopt.h>`
`#include <assert.h>`
`#include "core/tokenizer/forwardTokenizer.h"`
`#include "core/iso8859_1.h"`
`#include "core/progress.h"`
`#include "../lib/predictors/dbconnector/sqliteDatabaseConnector.h"`
Include dependency graph for text2ngram.cpp:

Go to the source code of this file.

## Typedefs

typedef std::list< std::string > | NgramList

## Functions

void | usage ()
void | version ()
int | main (int argc, char *argv[])

## Variables

const std::string | PROGRAM_NAME = "text2ngram"

## Typedef Documentation

## NgramList

typedef std::list<std::string> NgramList

Definition at line 52 of file text2ngram.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 57 of file text2ngram.cpp.

References DatabaseConnector::beginTransaction(), DatabaseConnector::createNgramTable(), endl(), DatabaseConnector::endTransaction(), DatabaseConnector::getNgramCount(), ForwardTokenizer::hasMoreTokens(), DatabaseConnector::insertNgram(), Tokenizer::lowercaseMode(), ForwardTokenizer::nextToken(), ForwardTokenizer::progress(), ProgressBar< _charT, _Traits >::update(), DatabaseConnector::updateNgram(), usage(), and version().

Here is the call graph for this function:

## usage()

void usage | ( |  | ) |

Definition at line 307 of file text2ngram.cpp.

References endl(), and PROGRAM_NAME.

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## version()

void version | ( |  | ) |

Definition at line 296 of file text2ngram.cpp.

References endl(), and PROGRAM_NAME.

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## PROGRAM_NAME

const std::string PROGRAM_NAME = "text2ngram"

Definition at line 50 of file text2ngram.cpp.

Referenced by usage(), and version().